# Makefile MAKEFILE_unix_trimsp.
#
# 17-Jun-2002 TP, use standard f77 code; use
#             ranlux random number generator of the CERN mathlib
#
#FC=g77 -ff90
FC=g77
#DEBUG = -g -O
DEBUG =
#WARN= -Wall -W
WARN = -Wno-globals
DIALECT = -fno-backslash -fno-automatic -finit-local-zero
#DIALECT = -finit-local-zero
OPS=-c $(DIALECT) $(WARN) $(DEBUG)
# for random number generator
CERNLIB_DIR = $(CERN_ROOT)/lib
#
all : trimsp7l_tp.o trimsp7l_tp datmak7l_tp.o datmak7l_tp

trimsp7l_tp.o :  trimsp7l_tp.F
	$(FC) $(OPS) $< 

trimsp7l_tp : trimsp7l_tp.o
	$(FC) -o $(HOME)/bin/$@ $< $(CERNLIB_DIR)/libmathlib.a

datmak7l_tp.o :  datmak7l_tp.F
	$(FC) $(OPS) $< 

datmak7l_tp : datmak7l_tp.o
	$(FC) -o $(HOME)/bin/$@ $<

clean:
	rm -f *.o *~ \#* .#* 
